Package org.eclipse.jface.text

## Class BadLocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jface.text.BadLocationException

All Implemented Interfaces:
  `Serializable`

    public class BadLocationException
    extends Exception

Indicates the attempt to access a non-existing position. The attempt has been performed on a text store such as a document or string.

This class is not intended to be serialized.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`BadLocationException()` Creates a new bad location exception.
`BadLocationException​(String message)` Creates a new bad location exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadLocationException

    public BadLocationException()

Creates a new bad location exception.

#### BadLocationException

    public BadLocationException​(String message)

Creates a new bad location exception.

Parameters:
  `message` - the exception message